### Name: lsparseMatrix-classes
### Title: Sparse logical matrices
### Aliases: lsparseMatrix-class lgCMatrix-class ltCMatrix-class
###   lsCMatrix-class lgRMatrix-class ltRMatrix-class lsRMatrix-class
###   lgTMatrix-class ltTMatrix-class lsTMatrix-class
###   -,lsparseMatrix,missing-method !,lsparseMatrix-method
###   \%*\%,lgCMatrix,lgCMatrix-method
###   \%*\%,lsparseMatrix,lsparseMatrix-method
###   \%*\%,lsparseMatrix,ldenseMatrix-method
###   \%*\%,ldenseMatrix,lsparseMatrix-method chol,lsCMatrix,logical-method
###   chol,lsCMatrix,missing-method coerce,lgCMatrix,dgCMatrix-method
###   coerce,lgCMatrix,lgTMatrix-method coerce,lgCMatrix,lgeMatrix-method
###   coerce,lgCMatrix,matrix-method coerce,lgTMatrix,dgTMatrix-method
###   coerce,lgTMatrix,lgCMatrix-method coerce,lgTMatrix,matrix-method
###   coerce,lsCMatrix,dgTMatrix-method coerce,lsCMatrix,dsCMatrix-method
###   coerce,lsCMatrix,lgCMatrix-method coerce,lsCMatrix,lsTMatrix-method
###   coerce,lsCMatrix,matrix-method coerce,ltCMatrix,dtCMatrix-method
###   coerce,ltCMatrix,dMatrix-method coerce,ltCMatrix,lgCMatrix-method
###   coerce,ltCMatrix,matrix-method coerce,matrix,lgCMatrix-method
###   coerce,matrix,lgTMatrix-method coerce,matrix,ltCMatrix-method
###   coerce,ltTMatrix,dtTMatrix-method coerce,ltTMatrix,lgTMatrix-method
###   coerce,ltTMatrix,matrix-method crossprod,lgCMatrix,missing-method
###   crossprod,lgTMatrix,missing-method crossprod,lsparseMatrix-method
###   crossprod,lsparseMatrix,missing-method
###   crossprod,lsparseMatrix,lsparseMatrix-method
###   crossprod,lsparseMatrix,ldenseMatrix-method
###   crossprod,ldenseMatrix,lsparseMatrix-method image,lgCMatrix-method
###   image,lsCMatrix-method image,ltCMatrix-method image,ltTMatrix-method
###   t,lgCMatrix-method t,lgTMatrix-method t,lsCMatrix-method
###   t,ltCMatrix-method tcrossprod,lgCMatrix,missing-method
###   tcrossprod,lgTMatrix,missing-method
###   tcrossprod,lsparseMatrix,missing-method
### Keywords: classes algebra

### ** Examples

m <- Matrix(c(0,0,2:0), 3,5, dimnames=list(LETTERS[1:3],NULL))
(dm <- as(m, "dgCMatrix"))# no dimnames for sparse here
(lm <- as(dm, "lgCMatrix"))
str(lm) # no 'x' slot
!lm     # no longer sparse

data(KNex)
lmm <- as(KNex $ mm, "lgCMatrix")
xlx <- crossprod(lmm)
image(xlx, main=paste("crossprod(lmm) : Sparse", class(xlx)))



